﻿body {
    margin: 0;
    font-family: 'Roboto', sans-serif;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

#backgroundVideo {
    position: fixed;
    right: 50%;
    bottom: 50%;
    min-width: 100%;
    min-height: 100%;
    transform: translate(50%, 50%);
    z-index: -1;
}

.login-container {
    position: fixed;
    bottom: 10px;
    right: 10px;
    background-color: rgba(0, 0, 0, 0.6);
    padding: 20px;
    border-radius: 8px;
    color: white;
    z-index: 100;
}

#muteButton {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 9999;
    background-color: transparent;
    border: none;
    color: white;
    font-size: 24px;
    cursor: pointer;
}

input {
    border-style: none;
    background: transparent;
    outline: none;
}

button {
    padding: 0;
    background: none;
    border: none;
    outline: none;
}

/* Keyframes for the gradient animation */
@@-webkit-keyframes gradient {
    0% {
        background-position: 0 0;
    }

    100% {
        background-position: 100% 0;
    }
}

@@keyframes gradient {
    0% {
        background-position: 0 0;
    }

    100% {
        background-position: 100% 0;
    }
}

.webflow-style-input {
    position: relative;
    display: flex;
    flex-direction: row;
    width: 100%;
    max-width: 400px;
    margin: 0 auto;
    border-radius: 2px;
    padding: 1.4rem 2rem 1.6rem;
    background: rgba(57, 63, 84, 0.2);
}

    .webflow-style-input:after {
        content: "";
        position: absolute;
        left: 0px;
        right: 0px;
        bottom: 0px;
        z-index: 999;
        height: 2px;
        border-bottom-left-radius: 2px;
        border-bottom-right-radius: 2px;
        background-position: 0% 0%;
        background: linear-gradient(to right, #B294FF, #57E6E6, #FEFFB8, #57E6E6, #B294FF, #57E6E6);
        background-size: 500% auto;
        -webkit-animation: gradient 3s linear infinite;
        animation: gradient 3s linear infinite;
    }

    .webflow-style-input input {
        flex-grow: 1;
        color: #BFD2FF;
        font-size: 14px;
        line-height: 26px;
        vertical-align: middle;
    }

        .webflow-style-input input::-webkit-input-placeholder {
            color: #7881A1;
        }

    .webflow-style-input button {
        color: #7881A1;
        font-size: 14px;
        line-height: 26px;
        vertical-align: middle;
        transition: color 0.25s;
    }

        .webflow-style-input button:hover {
            color: #BFD2FF;
        }


input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-text-fill-color: #ffffff;
    transition: background-color 5000s ease-in-out 0s;
    box-shadow: inset 0 0 30px 30px #23232329;
}

input:-webkit-autofill {
    -webkit-text-fill-color: #7881A1 !important;
}

.loginBox {
    position: relative;
}

.login {
    position: fixed;
    bottom: 0;
    right: 0;
}

.logo {
    position: fixed;
    bottom: 0;
    left: 0;
    margin-left: 10px;
    margin-bottom: 10px;
}

.btn_login {
    border: none;
    display: block;
    text-align: center;
    cursor: pointer;
    text-transform: uppercase;
    outline: none;
    overflow: hidden;
    position: relative;
    color: #fff;
    font-weight: 700;
    font-size: 14px;
    background: rgba(34, 34, 34, 0.6);
    /*background-color: #222;*/
    padding: 17px 60px;
    margin: 0 auto;
    box-shadow: 0 5px 15px rgba(0,0,0,0.10);
    width: 100%;
    max-width: 400px;
    -webkit-transition: background-color .3s;
    transition: background-color .3s;
}

    .btn_login span {
        position: relative;
        z-index: 1;
    }

    .btn_login:hover {
        background-color: rgba(57, 63, 70, 0.6);
        color: #fff;
    }
